import java.io.*;

/**
 * This class's main() method is the applet sans gui.
 * The class MultiCRotExpander doesn't write a Log File
 * This one does.
 */
public class LoopExpanderMain {
	private LoopExpander	_expander;
	/**
	 *
	 */
	public LoopExpanderMain(
			String 	filePrefixIn,
			String 	filePrefixOut)
	{

		
		_expander = new LoopExpander(
				filePrefixIn,
				filePrefixOut);
    	   	
    	
    	PrintWriter   logOut = null;
    	try{
	        File  logFile = new File(filePrefixOut + "_log.txt");
	        logOut = new PrintWriter(logFile);
    	}
    	catch(FileNotFoundException ex){
    		System.out.println("\n" + ex.toString());
        }
    	logOut.println("Inputs:");
        logOut.println("Prefix for Input Files = " + filePrefixIn);
        logOut.println("Prefix for Output Files = " + filePrefixOut);
        logOut.println(filePrefixIn + "_eng.txt");
        logOut.println(filePrefixIn + "_pic.txt");
        
        logOut.println("");
        logOut.println("Outputs:");
        logOut.println("Number of Elem. Ops. Out = " + 
        		_expander.getLenOfSEO());
 //       logOut.printf("Error = %e\n", _error);
        logOut.println(filePrefixOut + "_eng.txt");
        logOut.println(filePrefixOut + "_pic.txt");
        logOut.println(filePrefixOut + "_log.txt");

        logOut.close();
   	
	}	
	/**
	 *
	 */
	public LoopExpander  getExpander() {
		return _expander;
	}
	/**
	 *
	 */
    public static void main(String[] args){
    	
	   String 	filePrefixIn = "loops_in";
	   String 	filePrefixOut = "loops_out";

	   new LoopExpanderMain(filePrefixIn, filePrefixOut);
	   

    }
}
