import java.io.PrintWriter;

/**
 * This class extends abstract class SzegedySEO_writer
 */
public class CB_NetSzegedySEO_writer  extends SzegedySEO_writer{

	/**
	 * 
	 */		
	public CB_NetSzegedySEO_writer(
	        String 	filePrefix,
	        int numBits,
	        CB_NetQEmb  probQEmb)
	{ 		 	
    	super(filePrefix, numBits, probQEmb);
	}
	/**
	 * 
	 */	
    public CB_NetSzegedySEO_writer(
		PrintWriter  englishOut,
		PrintWriter  pictureOut,
		Boolean doWrite,
		CktEmbedder emb,
		CB_NetQEmb  probQEmb)
    {
    	super(englishOut, pictureOut, doWrite, emb, probQEmb);
    }
    /**
	 * 
	 */	 
    protected void writeQEmb(){
    	new CB_NetQEmbSEO_writer(
    			_englishOut,
    			_pictureOut,
    			false,//doWrite
    			_emb, 
    			(CB_NetQEmb)_probQEmb).write();
    	
    }  
    /**
	 * 
	 */	 
    protected void writeQEmbHermtian(){
    	new CB_NetQEmbSEO_writer(
    			_englishOut,
    			_pictureOut,
    			false,//doWrite
    			_emb, 
    			(CB_NetQEmb)_probQEmb).writeHermitian();
    	
    }  
	/**
	 * 
	 */	    
	public static void main(String[] args){

		String filePrefix = "szeg";
		
		String 	relPath = "2nodes/";
		//String 	relPath = "3nodes/";
		//String 	relPath = "4nodeFullyConnected/";
		//String 	relPath = "Asia/";
		
		String 	statesFileName = "states.txt";
		String 	parentsFileName = "parents.txt";
		
		CB_Net  net = new CB_Net(relPath + statesFileName, 
						relPath + parentsFileName,
						relPath + "probs.txt");	
		int numNits = net.getNumNits();
		int numBits = 2*numNits;
     
       new CB_NetSzegedySEO_writer(
    	   relPath + filePrefix,
   	       numBits,
   	       new CB_NetQEmb(net, true/*usingEffiMeth*/)
           );
                
   }
}
