/**
 * nit = node qubit, where the node belongs to a Bayesian net.
 * This class stores information associated with one nit.
 */
public class Nit {
	private int _ownerNode;//owner node for this nit
	private int[] _nitMBlanket;//markov blanket of nits for this nit
	/**
	 * 
	 */	
	public Nit(int ownerNode){
		_ownerNode = ownerNode;
	}
	/**
	 * 
	 */	
	public void setNitMBlanket(int[] nitMBlanket){
		_nitMBlanket = nitMBlanket;
	}
	/**
	 * 
	 */	
	public int getOwnerNode(){
		return _ownerNode;
	}
	/**
	 * 
	 */	
	public int[] getNitMBlanket(){
		return _nitMBlanket;
	}
}
