
public class GroverAdaWriter1 extends GroverAdaptiveWriter
{
	private int _stepNum=0;
	/**
	 * 
	 */	
	public GroverAdaWriter1(
		int 	maxNumSteps,
		double	gam0,
		double 	gamTol,
		double 	deltaLam)
	{
		super(maxNumSteps, gam0, gamTol, deltaLam);
	}
	/**
	 * 
	 */
	public void writeStartControlledPhase(boolean useMinus){
		System.out.println("*");
	}
	/**
	 * 
	 */
	public void writeTargetControlledPhase(boolean useMinus){
		System.out.print(_stepNum++ +"\t" 
				+ _gam*180/Math.PI + "\t"
				+ _alp*180/Math.PI);
	}
	/**
	 * 
	 */
	public static void main(String[] args){
		
		int maxNumSteps = 20;
		double gam0Degs = 173.15;
		double gamTolDegs = .05;
		double deltaLamDegs = 135.0;
		new GroverAdaWriter1(
			maxNumSteps,
			gam0Degs*Math.PI/180,
			gamTolDegs*Math.PI/180,
			deltaLamDegs*Math.PI/180).write();
	}
}
