import java.io.*;
/**
 * This class extends abstract class SzegedySEO_writer
 */
public class ProbMatSzegedySEO_writer  extends SzegedySEO_writer{

	/**
	 * 
	 */		
	public ProbMatSzegedySEO_writer(
	        String 	filePrefix,
	        int numBits,
	        ProbMatQEmb  probQEmb)
	{ 		 	
    	super(filePrefix, numBits, probQEmb);
	}
	/**
	 * 
	 */	
    public ProbMatSzegedySEO_writer(
		PrintWriter  englishOut,
		PrintWriter  pictureOut,
		Boolean doWrite,
		CktEmbedder emb,
		ProbMatQEmb  probQEmb)
    {
    	super(englishOut, pictureOut, doWrite, emb, probQEmb);
    }
    /**
	 * 
	 */	
    protected void writeQEmb(){
    	new ProbMatQEmbSEO_writer(
    			_englishOut,
    			_pictureOut,
    			false,//doWrite
    			_emb, 
    			(ProbMatQEmb)_probQEmb).write();
    	
    }  
    /**
	 * 
	 */	
    protected void writeQEmbHermtian(){
    	new ProbMatQEmbSEO_writer(
    			_englishOut,
    			_pictureOut,
    			false,//doWrite
    			_emb, 
    			(ProbMatQEmb)_probQEmb).writeHermitian();
    	
    }  
	/**
	 * 
	 */	    
	public static void main(String[] args){
	   
	   int numStateBits = 2;   
	   
	   int numBits =  2*numStateBits;
	   int numStates = 1<<numStateBits;
     
       new ProbMatSzegedySEO_writer(
   	       "test",
   	       numBits,
   	       new ProbMatQEmb(numStateBits, 
   	    		   ProbMatrices.randomProbMatrix(numStates, numStates))
           );
       
   }
}
