import java.io.*;

/**
 * This class extends abstract class PhaseEstSEO_writer
 */
public class PhaseEstSEO_writer1 extends PhaseEstSEO_writer{
	
	/**
	 *
	 */
	public PhaseEstSEO_writer1(
	    String 	filePrefix,
	    int numBits,
		int numProbeBits,
		PhaseEstEnding ending)
		{
			super(filePrefix, numBits, numProbeBits, ending);
		}
	/**
	 * 
	 */
    public PhaseEstSEO_writer1(
		PrintWriter  englishOut,
		PrintWriter  pictureOut,
		boolean doWrite,
		CktEmbedder emb,
		int numProbeBits,
		PhaseEstEnding ending)
    {
		super(englishOut, pictureOut, doWrite, emb, numProbeBits, ending);	
    }
	/**
	 * 
	 */	
	 public void  writeAtom(){
		new FouSEO_writer(
				_englishOut,
				_pictureOut,
				false,// doWrite
				_emb).write();
	}
	/**
	 * 
	 */	
	 public void  writeAtomHermitian(){
		new FouSEO_writer(
				_englishOut,
				_pictureOut,
				false,// doWrite
				_emb).writeHermitian();
	}
	/**
	 * 
	 */	
	public static void main(String[] args){
		new PhaseEstSEO_writer1(
		        "test",
		        7,// numBits
				4,// numProbeBits
				PhaseEstEnding.QFT);
		
	}

}
